
%define 	module	ipaddr

Summary:	Python module is useful to manipulate IP addresses (sets)
Summary(pl.UTF-8):	Moduł języka Python do manipulacji adresami IP
Name:		python-%{module}
Version:	2.1.10
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://ipaddr-py.googlecode.com/files/%{module}-%{version}.tar.gz
# Source0-md5:	f315ac829218e9735c5d772d59a3e0e7
URL:		http://code.google.com/p/ipaddr-py/
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq 	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is useful if you need to manipulate IP addresses or sets
of IP addresses.

%description -l pl.UTF-8
Moduł języka Python do manipulacji adresami IP.

%prep
%setup -q -n %{module}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]
%changelog
* Mon Jul 22 2013 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-ipaddr.git;a=log;h=master

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 4923feb
- up to 2.1.10

* Sat Jun 11 2011 zbyniu <zbyniu@pld-linux.org> 9043161
- really noarch, license is Apache, rel 2

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> f56acc3
- up to 2.1.9; noarch

* Mon Feb 21 2011 areq <areq@pld-linux.org> 756773a
- 2.1.8

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 2104360
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 245bf8c
- release 7

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cdd3f5
- release 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9af2242
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 79df645
- converted to UTF-8

* Sat Dec 25 2004 saq <saq@pld-linux.org> 0d5ace1
- release 5 for rebuild with python 2.4

* Sat Aug 14 2004 averne <averne@pld-linux.org> 3eeef47
- rel 4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 7e30343
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> cb73e9c
- capitalization, tabs, other cosmetics

* Wed Jul 09 2003 marcus <marcus@pld-linux.org> 2984234
- rel.3. (was 1., rel, 2. are for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> a8d5144
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f0d1c55
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Oct 18 2002 wrobell <wrobell@pld-linux.org> bfe60cd
- fixed pl description and summary
- COPYING file removed from documentation (known license)
- adapterized
- minor improvements

* Fri Oct 18 2002 Mateusz Korniak <matkor@pld-linux.org> 26e84e1
- tiny but useful module

